Subject: Re: sendmsg/recvmsg file descriptor passing
From: David Rosenbloom <[email-masked]>
To: Brian Ford <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Thu, 15 Jan 2004 12:21:55 -0500 (Eastern Standard Time)

Thanks for the clarification - I missed that post, and was distracted by this
earlier one, which induced optimism:
http://sources.redhat.com/ml/cygwin/2002-06/msg00657.html

So apparently that's that for file descriptor passing. Plz advise if there's
another method that works in cygwin.

- davidr

On Thu, 15 Jan 2004, Brian Ford wrote:

> On Thu, 15 Jan 2004, David Rosenbloom wrote:
>
> > I am unable to get sendmsg and recvmsg to successfully pass open file
> > descriptors between processes. I am using the Stevens APUE sample as a template,
> > the 4.3BSD version, since that matches the msghdr struct in cygwin/socket.h. I
> > notice a bunch of postings in the archive indicating (a) that file descriptor
> > passing was not supported at one time, and (b) that it may have been
> > subsequently added - I can't tell from the threads.
> >
> I haven't seen any that imply it has been added.
>
> http://sources.redhat.com/ml/cygwin/2004-01/msg00060.html
>
> seems pretty clear to me.
>
> --
> Brian Ford
> Senior Realtime Software Engineer
> VITAL - Visual Simulation Systems
> FlightSafety International
> Phone: 314-551-8460
> Fax:   314-551-8444
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/